using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	public class EtherealHorse : BaseMount
	{
		[Constructable]
		public EtherealHorse() : this( "an ethereal horse" )
		{
		}

		[Constructable]
		public EtherealHorse( string name ) : base( name, 0x73, 0x3EAA )
		{
		}

		public EtherealHorse( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}