using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	public class EtherealLlama : BaseMount
	{
		[Constructable]
		public EtherealLlama() : this( "an ethereal llama" )
		{
		}

		[Constructable]
		public EtherealLlama( string name ) : base( name, 0xAA, 0x3EAB )
		{
		}

		public EtherealLlama( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}