using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	public class EtherealOstard : BaseMount
	{
		[Constructable]
		public EtherealOstard() : this( "an ethereal ostard" )
		{
		}

		[Constructable]
		public EtherealOstard( string name ) : base( name, 0xAB, 0x3EAC )
		{
		}

		public EtherealOstard( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}